<!--
  TODO: There is one hack for ATMO provider:
  If it is ATMO, we don't display the subfilters
  Hack to remove at some moment (see the team)
-->

<aside *ngIf="filter.aggregations && filter.aggregations.length > 0 && filter.widget!='hidden'" [ngClass]="{'is-active': displayFilterItems}">
  <button class="filter-label" (click)="toggleFilterItems()">
    <span>{{ filter.label }}</span>
    <img class="icon-plus-minus" src="./assets/img/minus.svg" alt="" aria-hidden="true" *ngIf="displayFilterItems">
    <img class="icon-plus-minus" src="./assets/img/plus.svg" alt="" aria-hidden="true" *ngIf="!displayFilterItems">
  </button>
  <ul class="filter-items" [ngClass]="{'is-active': displayFilterItems}" *ngIf="filter.widget=='checkbox'">
    <li *ngFor="let aggregation of filter.aggregations; let i=index"
      [ngClass]="{'active': (aggregation.isActive == true) }">
      <div class="columns filter-item justify-content-between is-mobile">
        <div class="column is-9 filter-title"
          *ngIf="aggregation.subAggregations.length < 2 || aggregation.label === 'ATMO Auvergne-Rhône-Alpes'">
          <div class="field no-sub">
            <input type="checkbox" [(ngModel)]="aggregation.isActive" (click)="changeFilter(aggregation)"
              [disabled]="isLoading || aggregation.count_per_metadata === 0 && aggregation.isActive !== true"
              [name]="aggregation.label + '_' + filter.field" class="is-checkradio is-small" [id]="aggregation.key +
                '_' + filter.field">
            <label [for]="aggregation.key + '_' + filter.field"
              title="{{ (filter.type === 'date') ? (aggregation.key | date: 'yyyy') : aggregation.label }}">
              {{ (filter.type === 'date') ? (aggregation.key | date: 'yyyy') : aggregation.troncatedLabel }}
            </label>
          </div>
        </div>
        <div class="column is-9 filter-title"
          *ngIf="aggregation.subAggregations.length > 1 && aggregation.key !== 'ATMO Auvergne-Rhône-Alpes'">
          <span class="icon is-small icon-toggle-sub"
            (click)="subAreOpen[aggregation.key] = !subAreOpen[aggregation.key]">
            <svg [ngClass]="{'is-active': subAreOpen[aggregation.key]}" xmlns=" http://www.w3.org/2000/svg" id="chevron"
              viewBox="0 0 15 9">
              <path
                d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                class="brandcolor" />
              <path
                d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
                class="brandcolor" />
            </svg>
          </span>
          <div class="field">
            <input type="checkbox" (click)="changeFilter(aggregation)"
              [disabled]="isLoading || aggregation.count_per_metadata === 0 && aggregation.isActive !== true"
              class="is-checkradio is-small" [id]="aggregation.key + '_' + filter.field" [name]="aggregation.label + '_'
              + filter.field" [checked]="isChecked(filter, aggregation)"
              [indeterminate]="isUndeterminated(aggregation)">
            <label [for]="aggregation.key + '_' + filter.field"
              title="{{ (filter.type === 'date') ? (aggregation.key | date: 'yyyy') : aggregation.label }}">
              {{ (filter.type === 'date') ? (aggregation.key | date: 'yyyy') : aggregation.troncatedLabel }}
            </label>
          </div>


        </div>
        <div class='column is-3 count-agg'>
          <span class="tag">{{ aggregation.count_per_metadata}}</span>
        </div>
      </div>

      <ng-container
        *ngIf="aggregation.subAggregations.length > 1 && subAreOpen[aggregation.key] && aggregation.key !== 'ATMO Auvergne-Rhône-Alpes'">
        <div class="sub-aggregations" *ngFor="let subAgg of aggregation.subAggregations">
          <a class="link-without-decoration">
            <div class="columns filter-item justify-content-between is-mobile">
              <div class="column is-8 is-offset-1 sub-title">
                <input type="checkbox" [(ngModel)]="subAgg.isActive" (click)="changeFilter(subAgg)"
                  [disabled]="isLoading || subAgg.count_per_metadata === 0 && aggregation.isActive !== true"
                  [name]="subAgg.key+subAgg.parentAggregation.key" class="is-checkradio is-small"
                  [id]="subAgg.key+subAgg.parentAggregation.key">
                <label [for]="subAgg.key+subAgg.parentAggregation.key"
                  title="{{ (filter.type === 'date') ? (subAgg.key | date: 'yyyy') : subAgg.label }}">
                  {{ (filter.type === 'date') ? (subAgg.key | date: 'yyyy') : subAgg.troncatedLabel }}
                </label>

              </div>
              <div class='column is-3 count-agg'>
                <span class="tag">{{ subAgg.count_per_metadata}}</span>
              </div>
            </div>
          </a>
        </div>
      </ng-container>

    </li>
  </ul>
  <ul class="filter-items" [ngClass]="{'is-active': displayFilterItems}"  *ngIf="filter.widget=='dateRange'">
    <input type="date" id="start" name="search-start" [(ngModel)]="filter.start" (change)="changeRange(filter)"
       min="2015-01-01" max="2030-12-31"> à <input type="date" id="end" name="search-end" [(ngModel)]="filter.end" (change)="changeRange(filter)"
       min="2015-01-01" max="2030-12-31">
  </ul>
 
  <ul class="filter-items" [ngClass]="{'is-active': displayFilterItems}" *ngIf="filter.widget=='combo'">
    <div class="dropdown" [ngClass]="{'is-active': dropDownItemToggle}"
    (click)="dropDownItemToggle=!dropDownItemToggle"
    (clickOutside)="dropDownItemToggle = false;"
    >
      <div class="dropdown-trigger">
        <div class="field">
          <p class="control is-expanded has-icons-right">
              <input class="input" type="search" placeholder="Rechercher..." [(ngModel)]="dropDownFilter"/>
              <span class="icon is-small is-right"><i class="fas fa-search"></i></span>
          </p>
      </div>
      </div>
      <div class="dropdown-menu" id="dropdown-menu" role="menu">
        <div class="dropdown-content">
          <a class="dropdown-item" *ngFor="let item of ItemList" (click)="setItem(item)">
            {{ getItemLabel(item) }} 
          </a>
        </div>
      </div>
   </div>
   <ng-container *ngFor="let item of selectedItems; let i=index">
   <div class="field"  *ngIf="item.isActive">
    <input type="checkbox" (click)="removeItem(item)" 
      [disabled]="isLoading || item.count_per_metadata === 0 && item.isActive !== true"
      class="is-checkradio is-small" [id]="i + '_' + item.field" [name]="i + '_'
      + item.field" [checked]="item.isActive">
    <label [for]="i + '_' + item.field"
      title="{{ item.label }}">
      {{ item.troncatedLabel }}
    </label>
  </div>
  </ng-container>
  </ul>
</aside>
